HomeGuidesAPI ReferenceChangelog
Log In
API Reference

Get Tariff History

Return a complete history of tariff revisions for a given {masterTariffId}.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Retrieve the complete revision history for a tariff family by masterTariffId.

Use this endpoint to see when tariff versions changed, when linked riders changed, and when lookup-backed variable rates were updated. This is useful when you need to display tariff history to users or check whether locally stored tariff data is stale.

Resource URI

GET /rest/public/tariffs/{masterTariffId}/history

Path parameters

ParameterTypeDescription
masterTariffIdStringUnique Arcadia ID that persists across all revisions of a tariff. Required.

Response data

The response returns a TariffHistory object. It can include:

FieldDescription
masterTariffIdUnique Arcadia ID that persists across all revisions of the tariff.
tariffCodeShortcode that the LSE uses for the tariff.
tariffNameName of the tariff as used by the LSE.
lseIdID of the load serving entity that owns the tariff.
serviceTypeService type for the tariff, such as ELECTRICITY, SOLAR_PV, or GAS.
customerClassCustomer class for the tariff, such as RESIDENTIAL, GENERAL, SPECIAL_USE, or PROPOSED.
initialEffectiveDateEffective date of the first tariff version.
closedDateDate the tariff closed to new customers, when applicable.
tariffVersionsList of tariff versions and their rider or lookup variable-rate history.

For the full data model and response example, see Tariff History.

Example

GET /rest/public/tariffs/81587/history

A successful response returns a standard response payload with type set to TariffHistory and one tariff history object in the results array.

Path Params
string
required

Unique Arcadia ID that persists across all revisions of this tariff

Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json